Skip to content
114 lines (92 sloc) 5.38 KB
/*
* Hibernate, Relational Persistence for Idiomatic Java
*
* License: GNU Lesser General Public License (LGPL), version 2.1 or later.
* See the lgpl.txt file in the root directory or <http://www.gnu.org/licenses/lgpl-2.1.html>.
*/
// build a map of the dependency artifacts to use. Allows centralized definition of the version of artifacts to
// use. In that respect it serves a role similar to <dependencyManagement> in Maven
ext {
junitVersion = '4.11'
// h2Version = '1.2.145'
h2Version = '1.3.176'
bytemanVersion = '2.1.2'
infinispanVersion = '8.1.0.Final'
jnpVersion = '5.0.6.CR1'
elVersion = '2.2.4'
libraries = [
// Ant
ant: 'org.apache.ant:ant:1.8.2',
// Antlr
antlr: 'antlr:antlr:2.7.7',
// Annotations
commons_annotations: 'org.hibernate.common:hibernate-commons-annotations:5.0.1.Final',
jandex: 'org.jboss:jandex:2.0.0.Final',
classmate: 'com.fasterxml:classmate:1.3.0',
// Woodstox
woodstox: "org.codehaus.woodstox:woodstox-core-asl:4.3.0",
// Dom4J
dom4j: 'dom4j:dom4j:1.6.1@jar',
// Javassist
javassist: 'org.javassist:javassist:3.20.0-GA',
// javax
jpa: 'org.hibernate.javax.persistence:hibernate-jpa-2.1-api:1.0.0.Final',
// There is a bug in the OSGi information in the JBoss one. See https://issues.jboss.org/browse/JBEE-160
//jta: 'org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec:1.0.0.Final',
jta: 'org.apache.geronimo.specs:geronimo-jta_1.1_spec:1.1.1',
validation: 'javax.validation:validation-api:1.1.0.Final',
jacc: 'org.jboss.spec.javax.security.jacc:jboss-jacc-api_1.4_spec:1.0.2.Final',
// logging
logging: 'org.jboss.logging:jboss-logging:3.3.0.Final',
logging_annotations: 'org.jboss.logging:jboss-logging-annotations:2.0.0.Final',
logging_processor: 'org.jboss.logging:jboss-logging-processor:2.0.0.Final',
slf4j_api: "org.slf4j:slf4j-api:1.7.5",
slf4j_log4j: "org.slf4j:slf4j-log4j12:1.7.5",
// jaxb task
jaxb: 'com.sun.xml.bind:jaxb-xjc:2.2.5',
jaxb2_basics: 'org.jvnet.jaxb2_commons:jaxb2-basics:0.6.3',
jaxb2_ant: 'org.jvnet.jaxb2_commons:jaxb2-basics-ant:0.6.3',
jaxb2_jaxb: 'org.jvnet.jaxb2_commons:jaxb2-basics-jaxb:2.2.4-1',
jaxb2_jaxb_xjc: 'org.jvnet.jaxb2_commons:jaxb2-basics-jaxb-xjc:2.2.4-1',
// Animal Sniffer Ant Task and Java 1.6 API signature file
// not using 1.9 for the time being due to MANIMALSNIFFER-34
animal_sniffer: 'org.codehaus.mojo:animal-sniffer-ant-tasks:1.13',
as_asm: 'org.ow2.asm:asm-all:5.0.3',
java16_signature: 'org.codehaus.mojo.signature:java16:1.0@signature',
//Maven plugin framework
maven_core: 'org.apache.maven:maven-core:3.0.5',
maven_artifact: 'org.apache.maven:maven-artifact:3.0.5',
maven_plugin: 'org.apache.maven:maven-plugin-api:3.0.5',
maven_plugin_tools: 'org.apache.maven.plugin-tools:maven-plugin-annotations:3.2',
// ~~~~~~~~~~~~~~~~~~~~~~~~~~ testing
log4j: "log4j:log4j:1.2.17",
junit: "junit:junit:${junitVersion}",
byteman: "org.jboss.byteman:byteman:${bytemanVersion}",
byteman_install: "org.jboss.byteman:byteman-install:${bytemanVersion}",
byteman_bmunit: "org.jboss.byteman:byteman-bmunit:${bytemanVersion}",
shrinkwrap_api: 'org.jboss.shrinkwrap:shrinkwrap-api:1.0.0-beta-6',
shrinkwrap: 'org.jboss.shrinkwrap:shrinkwrap-impl-base:1.0.0-beta-6',
h2: "com.h2database:h2:${h2Version}",
derby: "org.apache.derby:derby:10.11.1.1",
jboss_jta: "org.jboss.jbossts:jbossjta:4.16.4.Final",
xapool: "com.experlog:xapool:1.5.0",
mockito: 'org.mockito:mockito-core:1.9.0',
validator: 'org.hibernate:hibernate-validator:5.2.0.CR1',
// EL required by Hibernate Validator at test runtime
expression_language_api: "javax.el:javax.el-api:${elVersion}",
expression_language_impl: "org.glassfish.web:javax.el:${elVersion}",
// required by Hibernate Validator at test runtime
unified_el: "org.glassfish:javax.el:3.0-b07",
// ~~~~~~~~~~~~~~~~~~~~~~~~~~~ infinsipan
infinispan: "org.infinispan:infinispan-core:${infinispanVersion}",
// ~~~~~~~~~~~~~~~~~~~~~~~~~~~ infinispan test
infinispan_test: "org.infinispan:infinispan-core:${infinispanVersion}:tests@jar",
jboss_common_core: "org.jboss:jboss-common-core:2.2.16.GA@jar",
jnp_client: "org.jboss.naming:jnp-client:${jnpVersion}",
jnp_server: "org.jboss.naming:jnpserver:${jnpVersion}",
c3p0: "com.mchange:c3p0:0.9.2.1",
ehcache: "net.sf.ehcache:ehcache:2.10.1",
proxool: "proxool:proxool:0.8.3",
hikaricp: "com.zaxxer:HikariCP-java6:2.3.9"
]
}
Jump to Line
Something went wrong with that request. Please try again.